Class | Array
In: | pp.rb
Parent: | Object

### Methods

pretty_print pretty_print_cycle

### Public Instance methods

pretty_print(q)

[Source]

    # File pp.rb, line 287
      def pretty_print(q)
        q.group(1, '[', ']') {
          q.seplist(self) {|v|
            q.pp v
          }
        }
      end

pretty_print_cycle(q)

[Source]

    # File pp.rb, line 295
      def pretty_print_cycle(q)
        q.text(empty? ? '[]' : '[...]')
      end

[Validate]